## ldconfig 1.9.6-1

=== Makefile ===
include Version.mk
include Config.mk

SUBDIRS = util

all:
	set -e ; for d in $(SUBDIRS) ; do $(MAKE) -C $$d ; done

install: all
	sh instldso.sh

clean:
	set -e ; for d in $(SUBDIRS) ; do $(MAKE) -C $$d $@ ; done
	-find . -name '*~' | xargs rm -f
