=== util/Makefile ===
include ../Version.mk
include ../Config.mk

ALL	= ldconfig

all:	$(ALL)

ldconfig: ldconfig.o readelf.o
	$(CC) -static $(CFLAGS) $(LDFLAGS) $^ -o $@

clean:
	rm -f $(ALL) *.o *~ core
