=== debian/changelog ===
ldconfig (1.9.6-1) unstable; urgency=low

  * initial release from ld.so package

 -- Roberto Lumbreras <rover@debian.org>  Wed,  4 Mar 1998 18:25:17 +0100

Local variables:
mode: debian-changelog
End:
