=== debian/control ===
Source: ldconfig
Section: base
Priority: required
Maintainer: Roberto Lumbreras <rover@debian.org>
Standards-Version: 2.4.0.0

Package: ldconfig
Section: base
Priority: required
Essential: yes
Architecture: alpha
Description: The ldconfig program.
 ldconfig creates the necessary links and cache for use by the
 run-time linker.
